Bug 983045 - [abrt] fwbackups-1.43.4-7.fc19: fwlogger.py:106:logmsg:UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 0: ordinal not in range(128)
[abrt] fwbackups-1.43.4-7.fc19: fwlogger.py:106:logmsg:UnicodeDecodeError: 'a...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fwbackups (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
abrt_hash:209a6a370a290027b2c127d8e6c...
:
: 997870 1178044 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 07:24 EDT by cutnioff
Modified: 2015-12-26 22:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:49:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (882 bytes, text/plain)
2013-07-10 07:24 EDT, cutnioff
no flags Details
File: core_backtrace (190 bytes, text/plain)
2013-07-10 07:24 EDT, cutnioff
no flags Details
File: environ (614 bytes, text/plain)
2013-07-10 07:24 EDT, cutnioff
no flags Details

  None (edit)
Description cutnioff 2013-07-10 07:24:23 EDT
Version-Release number of selected component:
fwbackups-1.43.4-7.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/fwbackups-run -l Work_XP
executable:     /usr/bin/fwbackups-run
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
fwlogger.py:106:logmsg:UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 0: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/bin/fwbackups-run", line 122, in <module>
    logger.logmsg('WARNING', _("An error occurred while initializing the backup operation!"))
  File "/usr/lib/python2.7/site-packages/fwbackups/fwlogger.py", line 106, in logmsg
    print entry.encode('utf-8')
UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 0: ordinal not in range(128)

Local variables in innermost frame:
severity: 'WARNING'
level: 20
self: <fwbackups.fwlogger.fwLogger object at 0x7f42130e4e50>
date: '\xd0\xb8\xd1\x8e\xd0\xbb 10 17:00:02'
entry: '\xd0\xb8\xd1\x8e\xd0\xbb 10 17:00:02 :: WARNING : An error occurred while initializing the backup operation!'
message: 'An error occurred while initializing the backup operation!'
Comment 1 cutnioff 2013-07-10 07:24:27 EDT
Created attachment 771547 [details]
File: backtrace
Comment 2 cutnioff 2013-07-10 07:24:30 EDT
Created attachment 771548 [details]
File: core_backtrace
Comment 3 cutnioff 2013-07-10 07:24:33 EDT
Created attachment 771549 [details]
File: environ
Comment 4 Raphos 2013-08-25 16:02:13 EDT
Same bug.

This problem appears only when my external hard drive (the backup destination) is not mounted.
Comment 5 Christian Ziemski 2014-03-03 14:10:12 EST
It might be not a real solution, but the following fix helped here to get it working again:

I changed line 103 in file

/usr/lib/python2.7/site-packages/fwbackups/fwlogger.py

from

entry = '%s :: %s : %s' % (date, _(severity), message)

to

entry = '%s :: %s : %s' % (date, _(severity), message.encode("utf-8"))
Comment 6 Christian Ziemski 2014-03-03 14:12:13 EST
PS:

Probably it's a good idea to change line 106 as well then to:

print entry       # .encode('utf-8')
Comment 7 Stewart Adam 2014-03-03 14:42:58 EST
Thanks, I'll try to get this patched & released shortly.
Comment 8 Fedora End Of Life 2015-01-09 17:11:40 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Stewart Adam 2015-01-14 11:52:53 EST
Updating version to keep bug open.
Comment 10 Fedora End Of Life 2015-11-04 10:39:59 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Christian Ziemski 2015-12-01 11:57:06 EST
It still seems not to be fixed (Fedora 23).

Can't test it now because the next German month name with an Umlaut in it will be March 2016.
Comment 12 Fedora End Of Life 2015-12-01 21:49:38 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Stewart Adam 2015-12-26 22:00:31 EST
*** Bug 997870 has been marked as a duplicate of this bug. ***
Comment 14 Stewart Adam 2015-12-26 22:01:14 EST
*** Bug 1178044 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.